# Uses of Class
org.apache.lucene.backward_codecs.lucene90.Lucene90BoundsChecker

Packages that use Lucene90BoundsChecker
Package
Description
org.apache.lucene.backward_codecs.lucene90
Lucene 9.0 file format.

- ## Uses of Lucene90BoundsChecker in org.apache.lucene.backward_codecs.lucene90

  Subclasses of Lucene90BoundsChecker in org.apache.lucene.backward_codecs.lucene90
  Modifier and Type
  Class
  Description
  `static class`
  `Lucene90BoundsChecker.Max`
  A helper class for an hnsw graph that serves as a comparator of the currently set maximum value with a new value.
  `static class`
  `Lucene90BoundsChecker.Min`
  A helper class for an hnsw graph that serves as a comparator of the currently set minimum value with a new value.
  Methods in org.apache.lucene.backward_codecs.lucene90 that return Lucene90BoundsChecker
  Modifier and Type
  Method
  Description
  `static Lucene90BoundsChecker`
  Lucene90BoundsChecker.`create(boolean reversed)`
  Create a min or max bound checker